Bug 17413 - install of glibc-devel-2.1.3-21.i386 fails
Summary: install of glibc-devel-2.1.3-21.i386 fails
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-11 18:52 UTC by John Price
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-13 00:20:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Price 2000-09-11 18:52:00 UTC
I have a PIII with RH 6.2; I tried to install the new update for glibc as
reported on the Security Advisories page, and got the following (I've
beautified the output a bit for readability):

# rpm -Fvh glibc-2.1.3-21.i386.rpm \
           glibc-devel-2.1.3-21.i386.rpm \
           glibc-profile-2.1.3-21.i386.rpm \
           nscd-2.1.3-21.i386.rpm
file /usr/include/scsi/scsi.h from install of glibc-devel-2.1.3-21 \
     conflicts with file from package kernel-headers-2.2.16-3
file /usr/include/scsi/scsi_ioctl.h from install of glibc-devel-2.1.3-21 \
     conflicts with file from package kernel-headers-2.2.16-3
file /usr/include/scsi/sg.h from install of glibc-devel-2.1.3-21 \
     conflicts with file from package kernel-headers-2.2.16-3

My system was upgraded from RH6.1 using the 6.2 CD, and all the other
advisories/buxfixes/enhancements have been installed.

Comment 1 Bill Nottingham 2000-09-12 22:29:54 UTC
This is an rpm problem; it can't see that the glibc update will
remove the /usr/include/scsi symlink.

Installing with --force should succeed and cause no errors.

Comment 2 John Price 2000-09-13 00:20:27 UTC
Following the above suggestion, I was able to install the packages, but I
received many copies of another message:

=====output listing=====
# rpm -Fvh --force glibc-2.1.3-21.i386.rpm glibc-devel-2.1.3-21.i386.rpm
glibc-profile-2.1.3-21.i386.rpm nscd-2.1.3-21.i386.rpm
glibc                       ##################################################
package LC_MESSAGES not listed in file index
package LC_MESSAGES not listed in file index
package LC_MESSAGES not listed in file index

   [...repeated many times...]

package LC_MESSAGES not listed in file index
glibc-devel                 ##################################################
glibc-profile               ##################################################
nscd                        ##################################################
=====end of output listing=====


Comment 3 Jeff Johnson 2000-10-03 17:28:55 UTC
The remaining messages have been in all of rpm-3.0.x and can be ignored. The
"fix" is to remove the error message, and are part of the reason for changing to
db-3.1.x  with rpm-4.0.


Note You need to log in before you can comment on or make changes to this bug.